diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/test/lte-test-link-adaptation.h ns-3.44/src/lte/test/lte-test-link-adaptation.h
--- ns-3.43/src/lte/test/lte-test-link-adaptation.h	2024-10-09 16:41:10.048656500 -0700
+++ ns-3.44/src/lte/test/lte-test-link-adaptation.h	2025-03-09 16:55:49.611372000 -0700
@@ -15,9 +15,9 @@
 using namespace ns3;
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief Test 1.3 Link adaptation
+ * @brief Test 1.3 Link adaptation
  */
 class LteLinkAdaptationTestSuite : public TestSuite
 {
@@ -26,9 +26,9 @@
 };
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief Test that LTE link adaptation works according to the theoretical model.
+ * @brief Test that LTE link adaptation works according to the theoretical model.
  */
 class LteLinkAdaptationTestCase : public TestCase
 {
@@ -36,18 +36,18 @@
     /**
      * Constructor
      *
-     * \param name the reference name
-     * \param snrDb the SNR in dB
-     * \param loss the loss
-     * \param mcsIndex the DL se
+     * @param name the reference name
+     * @param snrDb the SNR in dB
+     * @param loss the loss
+     * @param mcsIndex the DL se
      */
     LteLinkAdaptationTestCase(std::string name, double snrDb, double loss, uint16_t mcsIndex);
     LteLinkAdaptationTestCase();
     ~LteLinkAdaptationTestCase() override;
 
     /**
-     * \brief DL scheduling function
-     * \param dlInfo the DL info
+     * @brief DL scheduling function
+     * @param dlInfo the DL info
      */
     void DlScheduling(DlSchedulingCallbackInfo dlInfo);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/test/lte-test-mimo.cc ns-3.44/src/lte/test/lte-test-mimo.cc
--- ns-3.43/src/lte/test/lte-test-mimo.cc	2024-10-09 16:41:10.048656500 -0700
+++ ns-3.44/src/lte/test/lte-test-mimo.cc	2025-03-09 16:55:49.611372000 -0700
@@ -8,35 +8,35 @@
 
 #include "lte-test-mimo.h"
 
+#include "ns3/boolean.h"
+#include "ns3/buildings-helper.h"
+#include "ns3/buildings-propagation-loss-model.h"
 #include "ns3/double.h"
+#include "ns3/enum.h"
+#include "ns3/eps-bearer.h"
+#include "ns3/log.h"
+#include "ns3/lte-enb-net-device.h"
+#include "ns3/lte-enb-phy.h"
+#include "ns3/lte-helper.h"
+#include "ns3/lte-ue-net-device.h"
+#include "ns3/lte-ue-phy.h"
+#include "ns3/lte-ue-rrc.h"
+#include "ns3/mobility-building-info.h"
+#include "ns3/mobility-helper.h"
+#include "ns3/net-device-container.h"
+#include "ns3/node-container.h"
+#include "ns3/object.h"
+#include "ns3/packet.h"
+#include "ns3/pf-ff-mac-scheduler.h"
+#include "ns3/pointer.h"
+#include "ns3/ptr.h"
 #include "ns3/radio-bearer-stats-calculator.h"
+#include "ns3/rr-ff-mac-scheduler.h"
+#include "ns3/simulator.h"
+#include "ns3/spectrum-error-model.h"
+#include "ns3/spectrum-interference.h"
 #include "ns3/string.h"
-#include <ns3/boolean.h>
-#include <ns3/buildings-helper.h>
-#include <ns3/buildings-propagation-loss-model.h>
-#include <ns3/enum.h>
-#include <ns3/eps-bearer.h>
-#include <ns3/log.h>
-#include <ns3/lte-enb-net-device.h>
-#include <ns3/lte-enb-phy.h>
-#include <ns3/lte-helper.h>
-#include <ns3/lte-ue-net-device.h>
-#include <ns3/lte-ue-phy.h>
-#include <ns3/lte-ue-rrc.h>
-#include <ns3/mobility-building-info.h>
-#include <ns3/mobility-helper.h>
-#include <ns3/net-device-container.h>
-#include <ns3/node-container.h>
-#include <ns3/object.h>
-#include <ns3/packet.h>
-#include <ns3/pf-ff-mac-scheduler.h>
-#include <ns3/pointer.h>
-#include <ns3/ptr.h>
-#include <ns3/rr-ff-mac-scheduler.h>
-#include <ns3/simulator.h>
-#include <ns3/spectrum-error-model.h>
-#include <ns3/spectrum-interference.h>
-#include <ns3/test.h>
+#include "ns3/test.h"
 
 #include <iostream>
 #include <sstream>
@@ -71,7 +71,7 @@
 }
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  * Static variable for test initialization
  */
 static LenaTestMimoSuite lenaTestMimoSuite;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/test/lte-test-mimo.h ns-3.44/src/lte/test/lte-test-mimo.h
--- ns-3.43/src/lte/test/lte-test-mimo.h	2024-10-09 16:41:10.048656500 -0700
+++ ns-3.44/src/lte/test/lte-test-mimo.h	2025-03-09 16:55:49.611372000 -0700
@@ -20,9 +20,9 @@
 using namespace ns3;
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief This system test program creates different test cases with a
+ * @brief This system test program creates different test cases with a
  * single eNB and single UE. The traffic is configured to be in saturation
  * mode. It is checked if the throughput reaches the expected values
  * when MIMO is used.
@@ -33,10 +33,10 @@
     /**
      * Constructor
      *
-     * \param dist the distance
-     * \param estThrDl the estimated throughput DL
-     * \param schedulerType the scheduler type
-     * \param useIdealRrc true if use ideal RRC
+     * @param dist the distance
+     * @param estThrDl the estimated throughput DL
+     * @param schedulerType the scheduler type
+     * @param useIdealRrc true if use ideal RRC
      */
     LenaMimoTestCase(uint16_t dist,
                      std::vector<uint32_t> estThrDl,
@@ -49,18 +49,18 @@
 
     /**
      * Get RLC buffer sample
-     * \param rlcStats Ptr<RadioBearerStatsCalculator>
-     * \param imsi the IMSI
-     * \param rnti the RNTI
+     * @param rlcStats Ptr<RadioBearerStatsCalculator>
+     * @param imsi the IMSI
+     * @param rnti the RNTI
      */
     void GetRlcBufferSample(Ptr<RadioBearerStatsCalculator> rlcStats, uint64_t imsi, uint8_t rnti);
 
     /**
      * Builds the test name string based on provided parameter values
-     * \param dist the distance
-     * \param schedulerType the scheduler type
-     * \param useIdealRrc if true use the ideal RRC
-     * \returns the name string
+     * @param dist the distance
+     * @param schedulerType the scheduler type
+     * @param useIdealRrc if true use the ideal RRC
+     * @returns the name string
      */
     static std::string BuildNameString(uint16_t dist, std::string schedulerType, bool useIdealRrc);
     uint16_t m_dist;                  ///< the distance
@@ -72,9 +72,9 @@
 };
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief Lena Test Mimo Suite
+ * @brief Lena Test Mimo Suite
  */
 
 class LenaTestMimoSuite : public TestSuite
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/test/lte-test-pathloss-model.cc ns-3.44/src/lte/test/lte-test-pathloss-model.cc
--- ns-3.43/src/lte/test/lte-test-pathloss-model.cc	2024-10-09 16:41:10.048656500 -0700
+++ ns-3.44/src/lte/test/lte-test-pathloss-model.cc	2025-03-09 16:55:49.611372000 -0700
@@ -10,28 +10,28 @@
 
 #include "lte-test-ue-phy.h"
 
+#include "ns3/boolean.h"
+#include "ns3/building.h"
+#include "ns3/buildings-helper.h"
 #include "ns3/double.h"
+#include "ns3/enum.h"
+#include "ns3/hybrid-buildings-propagation-loss-model.h"
 #include "ns3/log.h"
 #include "ns3/lte-chunk-processor.h"
+#include "ns3/lte-enb-net-device.h"
+#include "ns3/lte-enb-phy.h"
+#include "ns3/lte-helper.h"
 #include "ns3/lte-phy-tag.h"
+#include "ns3/lte-ue-net-device.h"
+#include "ns3/lte-ue-phy.h"
+#include "ns3/lte-ue-rrc.h"
+#include "ns3/mobility-helper.h"
+#include "ns3/net-device-container.h"
+#include "ns3/node-container.h"
 #include "ns3/simulator.h"
+#include "ns3/single-model-spectrum-channel.h"
 #include "ns3/spectrum-test.h"
 #include "ns3/string.h"
-#include <ns3/boolean.h>
-#include <ns3/building.h>
-#include <ns3/buildings-helper.h>
-#include <ns3/enum.h>
-#include <ns3/hybrid-buildings-propagation-loss-model.h>
-#include <ns3/lte-enb-net-device.h>
-#include <ns3/lte-enb-phy.h>
-#include <ns3/lte-helper.h>
-#include <ns3/lte-ue-net-device.h>
-#include <ns3/lte-ue-phy.h>
-#include <ns3/lte-ue-rrc.h>
-#include <ns3/mobility-helper.h>
-#include <ns3/net-device-container.h>
-#include <ns3/node-container.h>
-#include <ns3/single-model-spectrum-channel.h>
 
 using namespace ns3;
 
@@ -131,7 +131,7 @@
 }
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  * Static variable for test initialization
  */
 static LtePathlossModelTestSuite ltePathlossModelTestSuite;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/test/lte-test-pathloss-model.h ns-3.44/src/lte/test/lte-test-pathloss-model.h
--- ns-3.43/src/lte/test/lte-test-pathloss-model.h	2024-10-09 16:41:10.048656500 -0700
+++ ns-3.44/src/lte/test/lte-test-pathloss-model.h	2025-03-09 16:55:49.611372000 -0700
@@ -9,17 +9,17 @@
 #ifndef LTE_TEST_PATHLOSS_MODEL_H
 #define LTE_TEST_PATHLOSS_MODEL_H
 
+#include "ns3/buildings-propagation-loss-model.h"
 #include "ns3/lte-common.h"
 #include "ns3/spectrum-value.h"
 #include "ns3/test.h"
-#include <ns3/buildings-propagation-loss-model.h>
 
 using namespace ns3;
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief Test 1.1 pathloss calculation
+ * @brief Test 1.1 pathloss calculation
  */
 class LtePathlossModelTestSuite : public TestSuite
 {
@@ -28,9 +28,9 @@
 };
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief  Tests that the BuildingPathlossModel works according to
+ * @brief  Tests that the BuildingPathlossModel works according to
  * the expected theoretical values. Theoretical reference values
  * are obtained with the octave script src/lte/test/reference/lte_pathloss.m
  */
@@ -40,18 +40,18 @@
     /**
      * Constructor
      *
-     * \param name the reference name
-     * \param snrDb the SNR in dB
-     * \param dist the distance
-     * \param mcsIndex the MCS index
+     * @param name the reference name
+     * @param snrDb the SNR in dB
+     * @param dist the distance
+     * @param mcsIndex the MCS index
      */
     LtePathlossModelSystemTestCase(std::string name, double snrDb, double dist, uint16_t mcsIndex);
     LtePathlossModelSystemTestCase();
     ~LtePathlossModelSystemTestCase() override;
 
     /**
-     * \brief DL scheduling function
-     * \param dlInfo the DL info
+     * @brief DL scheduling function
+     * @param dlInfo the DL info
      */
     void DlScheduling(DlSchedulingCallbackInfo dlInfo);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/test/lte-test-pf-ff-mac-scheduler.cc ns-3.44/src/lte/test/lte-test-pf-ff-mac-scheduler.cc
--- ns-3.43/src/lte/test/lte-test-pf-ff-mac-scheduler.cc	2024-10-09 16:41:10.048656500 -0700
+++ ns-3.44/src/lte/test/lte-test-pf-ff-mac-scheduler.cc	2025-03-09 16:55:49.611372000 -0700
@@ -9,31 +9,31 @@
 
 #include "lte-test-pf-ff-mac-scheduler.h"
 
+#include "ns3/boolean.h"
+#include "ns3/constant-position-mobility-model.h"
 #include "ns3/double.h"
+#include "ns3/enum.h"
+#include "ns3/eps-bearer.h"
+#include "ns3/ff-mac-scheduler.h"
+#include "ns3/log.h"
+#include "ns3/lte-enb-net-device.h"
+#include "ns3/lte-enb-phy.h"
+#include "ns3/lte-helper.h"
+#include "ns3/lte-ue-net-device.h"
+#include "ns3/lte-ue-phy.h"
+#include "ns3/lte-ue-rrc.h"
+#include "ns3/mobility-helper.h"
+#include "ns3/net-device-container.h"
+#include "ns3/node-container.h"
+#include "ns3/object.h"
+#include "ns3/packet.h"
+#include "ns3/ptr.h"
 #include "ns3/radio-bearer-stats-calculator.h"
+#include "ns3/simulator.h"
+#include "ns3/spectrum-error-model.h"
+#include "ns3/spectrum-interference.h"
 #include "ns3/string.h"
-#include <ns3/boolean.h>
-#include <ns3/constant-position-mobility-model.h>
-#include <ns3/enum.h>
-#include <ns3/eps-bearer.h>
-#include <ns3/ff-mac-scheduler.h>
-#include <ns3/log.h>
-#include <ns3/lte-enb-net-device.h>
-#include <ns3/lte-enb-phy.h>
-#include <ns3/lte-helper.h>
-#include <ns3/lte-ue-net-device.h>
-#include <ns3/lte-ue-phy.h>
-#include <ns3/lte-ue-rrc.h>
-#include <ns3/mobility-helper.h>
-#include <ns3/net-device-container.h>
-#include <ns3/node-container.h>
-#include <ns3/object.h>
-#include <ns3/packet.h>
-#include <ns3/ptr.h>
-#include <ns3/simulator.h>
-#include <ns3/spectrum-error-model.h>
-#include <ns3/spectrum-interference.h>
-#include <ns3/test.h>
+#include "ns3/test.h"
 
 #include <iostream>
 #include <sstream>
@@ -202,7 +202,7 @@
 }
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  * Static variable for test initialization
  */
 static LenaTestPfFfMacSchedulerSuite lenaTestPfFfMacSchedulerSuite;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/test/lte-test-pf-ff-mac-scheduler.h ns-3.44/src/lte/test/lte-test-pf-ff-mac-scheduler.h
--- ns-3.43/src/lte/test/lte-test-pf-ff-mac-scheduler.h	2024-10-09 16:41:10.048656500 -0700
+++ ns-3.44/src/lte/test/lte-test-pf-ff-mac-scheduler.h	2025-03-09 16:55:49.611372000 -0700
@@ -16,9 +16,9 @@
 using namespace ns3;
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief This system test program creates different test cases with a single eNB and
+ * @brief This system test program creates different test cases with a single eNB and
  * several UEs, all having the same Radio Bearer specification. In each test
  * case, the UEs see the same SINR from the eNB; different test cases are
  * implemented obtained by using different SINR values and different numbers of
@@ -32,11 +32,11 @@
     /**
      * Constructor
      *
-     * \param nUser the number of UE nodes
-     * \param dist the distance between nodes
-     * \param thrRefDl the DL throughput reference
-     * \param thrRefUl the UL throughput reference
-     * \param errorModelEnabled if true the error model is enabled
+     * @param nUser the number of UE nodes
+     * @param dist the distance between nodes
+     * @param thrRefDl the DL throughput reference
+     * @param thrRefUl the UL throughput reference
+     * @param errorModelEnabled if true the error model is enabled
      */
     LenaPfFfMacSchedulerTestCase1(uint16_t nUser,
                                   double dist,
@@ -48,9 +48,9 @@
   private:
     /**
      * Build name string
-     * \param nUser the number of UE nodes
-     * \param dist the distance between nodes
-     * \returns the name string
+     * @param nUser the number of UE nodes
+     * @param dist the distance between nodes
+     * @returns the name string
      */
     static std::string BuildNameString(uint16_t nUser, double dist);
     void DoRun() override;
@@ -62,9 +62,9 @@
 };
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief Lena PfFf Mac Scheduler Test Case 2
+ * @brief Lena PfFf Mac Scheduler Test Case 2
  */
 class LenaPfFfMacSchedulerTestCase2 : public TestCase
 {
@@ -72,10 +72,10 @@
     /**
      * Constructor
      *
-     * \param dist the distance between nodes
-     * \param estThrPfDl the estimated DL throughput PF
-     * \param estThrPfUl the estimated UL throughput PF
-     * \param errorModelEnabled if true the error model is enabled
+     * @param dist the distance between nodes
+     * @param estThrPfDl the estimated DL throughput PF
+     * @param estThrPfUl the estimated UL throughput PF
+     * @param errorModelEnabled if true the error model is enabled
      */
     LenaPfFfMacSchedulerTestCase2(std::vector<double> dist,
                                   std::vector<uint32_t> estThrPfDl,
@@ -86,9 +86,9 @@
   private:
     /**
      * Builds the test name string based on provided parameter values
-     * \param nUser the number of UE nodes
-     * \param dist the distance between nodes
-     * \returns the name string
+     * @param nUser the number of UE nodes
+     * @param dist the distance between nodes
+     * @returns the name string
      */
     static std::string BuildNameString(uint16_t nUser, std::vector<double> dist);
     void DoRun() override;
@@ -100,9 +100,9 @@
 };
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief PfFfMacScheduler test suite
+ * @brief PfFfMacScheduler test suite
  */
 
 class LenaTestPfFfMacSchedulerSuite : public TestSuite
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/test/lte-test-phy-error-model.cc ns-3.44/src/lte/test/lte-test-phy-error-model.cc
--- ns-3.43/src/lte/test/lte-test-phy-error-model.cc	2024-10-09 16:41:10.048656500 -0700
+++ ns-3.44/src/lte/test/lte-test-phy-error-model.cc	2025-03-09 16:55:49.611372000 -0700
@@ -9,35 +9,35 @@
 
 #include "lte-test-phy-error-model.h"
 
-#include <ns3/boolean.h>
-#include <ns3/buildings-helper.h>
-#include <ns3/config.h>
-#include <ns3/double.h>
-#include <ns3/enum.h>
-#include <ns3/eps-bearer.h>
-#include <ns3/ff-mac-scheduler.h>
-#include <ns3/hybrid-buildings-propagation-loss-model.h>
-#include <ns3/integer.h>
-#include <ns3/log.h>
-#include <ns3/lte-enb-net-device.h>
-#include <ns3/lte-enb-phy.h>
-#include <ns3/lte-helper.h>
-#include <ns3/lte-ue-net-device.h>
-#include <ns3/lte-ue-phy.h>
-#include <ns3/lte-ue-rrc.h>
-#include <ns3/mobility-building-info.h>
-#include <ns3/mobility-helper.h>
-#include <ns3/net-device-container.h>
-#include <ns3/node-container.h>
-#include <ns3/object.h>
-#include <ns3/packet.h>
-#include <ns3/ptr.h>
-#include <ns3/radio-bearer-stats-calculator.h>
-#include <ns3/simulator.h>
-#include <ns3/spectrum-error-model.h>
-#include <ns3/spectrum-interference.h>
-#include <ns3/string.h>
-#include <ns3/test.h>
+#include "ns3/boolean.h"
+#include "ns3/buildings-helper.h"
+#include "ns3/config.h"
+#include "ns3/double.h"
+#include "ns3/enum.h"
+#include "ns3/eps-bearer.h"
+#include "ns3/ff-mac-scheduler.h"
+#include "ns3/hybrid-buildings-propagation-loss-model.h"
+#include "ns3/integer.h"
+#include "ns3/log.h"
+#include "ns3/lte-enb-net-device.h"
+#include "ns3/lte-enb-phy.h"
+#include "ns3/lte-helper.h"
+#include "ns3/lte-ue-net-device.h"
+#include "ns3/lte-ue-phy.h"
+#include "ns3/lte-ue-rrc.h"
+#include "ns3/mobility-building-info.h"
+#include "ns3/mobility-helper.h"
+#include "ns3/net-device-container.h"
+#include "ns3/node-container.h"
+#include "ns3/object.h"
+#include "ns3/packet.h"
+#include "ns3/ptr.h"
+#include "ns3/radio-bearer-stats-calculator.h"
+#include "ns3/simulator.h"
+#include "ns3/spectrum-error-model.h"
+#include "ns3/spectrum-interference.h"
+#include "ns3/string.h"
+#include "ns3/test.h"
 
 #include <iostream>
 
@@ -112,7 +112,7 @@
 }
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  * Static variable for test initialization
  */
 static LenaTestPhyErrorModelSuite lenaTestPhyErrorModelSuite;
@@ -230,7 +230,7 @@
         uePhy->SetAttribute("NoiseFigure", DoubleValue(9.0));
     }
 
-    Time statsDuration = Seconds(1.0);
+    Time statsDuration = Seconds(1);
     Simulator::Stop(m_statsStartTime + statsDuration - Seconds(0.0001));
 
     lena->EnableRlcTraces();
@@ -392,7 +392,7 @@
     uePhy->SetAttribute("TxPower", DoubleValue(23.0));
     uePhy->SetAttribute("NoiseFigure", DoubleValue(9.0));
 
-    Time statsDuration = Seconds(1.0);
+    Time statsDuration = Seconds(1);
     Simulator::Stop(m_statsStartTime + statsDuration - Seconds(0.0001));
 
     lena->EnableRlcTraces();
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/test/lte-test-phy-error-model.h ns-3.44/src/lte/test/lte-test-phy-error-model.h
--- ns-3.43/src/lte/test/lte-test-phy-error-model.h	2024-10-09 16:41:10.048656500 -0700
+++ ns-3.44/src/lte/test/lte-test-phy-error-model.h	2025-03-09 16:55:49.611372000 -0700
@@ -9,16 +9,16 @@
 #ifndef LENA_TEST_PHY_ERROR_MODEL_H
 #define LENA_TEST_PHY_ERROR_MODEL_H
 
-#include <ns3/nstime.h>
-#include <ns3/simulator.h>
-#include <ns3/test.h>
+#include "ns3/nstime.h"
+#include "ns3/simulator.h"
+#include "ns3/test.h"
 
 using namespace ns3;
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief This system test program creates different test cases with a single eNB and
+ * @brief This system test program creates different test cases with a single eNB and
  * several UEs, all having the same Radio Bearer specification. In each test
  * case, the UEs see the same SINR from the eNB; different test cases are
  * implemented obtained by using different SINR values and different numbers of
@@ -30,12 +30,12 @@
     /**
      * Constructor
      *
-     * \param nUser the number of UE nodes
-     * \param dist the distance between nodes
-     * \param blerRef expected BLER
-     * \param toleranceRxPackets receive packet loss tolerance
-     * \param statsStartTime the start time for collecting statistics
-     * \param rngRun rng run
+     * @param nUser the number of UE nodes
+     * @param dist the distance between nodes
+     * @param blerRef expected BLER
+     * @param toleranceRxPackets receive packet loss tolerance
+     * @param statsStartTime the start time for collecting statistics
+     * @param rngRun rng run
      */
     LenaDataPhyErrorModelTestCase(uint16_t nUser,
                                   uint16_t dist,
@@ -49,10 +49,10 @@
     void DoRun() override;
     /**
      * Builds the test name string based on provided parameter values
-     * \param nUser the number of UE nodes
-     * \param dist the distance between nodes
-     * \param rngRun the rng run
-     * \returns the name string
+     * @param nUser the number of UE nodes
+     * @param dist the distance between nodes
+     * @param rngRun the rng run
+     * @returns the name string
      */
     static std::string BuildNameString(uint16_t nUser, uint16_t dist, uint32_t rngRun);
     uint16_t m_nUser;              ///< number of UE nodes
@@ -65,9 +65,9 @@
 };
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief Lena Dl Ctrl Phy Error Model Test Case
+ * @brief Lena Dl Ctrl Phy Error Model Test Case
  */
 class LenaDlCtrlPhyErrorModelTestCase : public TestCase
 {
@@ -75,12 +75,12 @@
     /**
      * Constructor
      *
-     * \param nEnb the number of ENB nodes
-     * \param dist the distance between nodes
-     * \param blerRef expected BLER
-     * \param toleranceRxPackets receive packet loss tolerance
-     * \param statsStartTime the start time for collecting statistics
-     * \param rngRun rng number
+     * @param nEnb the number of ENB nodes
+     * @param dist the distance between nodes
+     * @param blerRef expected BLER
+     * @param toleranceRxPackets receive packet loss tolerance
+     * @param statsStartTime the start time for collecting statistics
+     * @param rngRun rng number
      */
     LenaDlCtrlPhyErrorModelTestCase(uint16_t nEnb,
                                     uint16_t dist,
@@ -94,10 +94,10 @@
     void DoRun() override;
     /**
      * Build name string
-     * \param nUser the number of UE nodes
-     * \param dist the distance between nodes
-     * \param rngRun the rng run
-     * \returns the name string
+     * @param nUser the number of UE nodes
+     * @param dist the distance between nodes
+     * @param rngRun the rng run
+     * @returns the name string
      */
     static std::string BuildNameString(uint16_t nUser, uint16_t dist, uint32_t rngRun);
     uint16_t m_nEnb;               ///< the number of ENB nodes
@@ -110,9 +110,9 @@
 };
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief Lena Test Phy Error Model Suite
+ * @brief Lena Test Phy Error Model Suite
  */
 class LenaTestPhyErrorModelSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/test/lte-test-primary-cell-change.cc ns-3.44/src/lte/test/lte-test-primary-cell-change.cc
--- ns-3.43/src/lte/test/lte-test-primary-cell-change.cc	2024-10-09 16:41:10.048656500 -0700
+++ ns-3.44/src/lte/test/lte-test-primary-cell-change.cc	2025-03-09 16:55:49.611372000 -0700
@@ -9,25 +9,25 @@
 
 #include "lte-test-primary-cell-change.h"
 
-#include <ns3/boolean.h>
-#include <ns3/double.h>
-#include <ns3/friis-spectrum-propagation-loss.h>
-#include <ns3/integer.h>
-#include <ns3/internet-stack-helper.h>
-#include <ns3/ipv4-address-helper.h>
-#include <ns3/ipv4-interface-container.h>
-#include <ns3/ipv4-static-routing-helper.h>
-#include <ns3/log.h>
-#include <ns3/lte-enb-net-device.h>
-#include <ns3/lte-helper.h>
-#include <ns3/lte-ue-net-device.h>
-#include <ns3/lte-ue-rrc.h>
-#include <ns3/mobility-helper.h>
-#include <ns3/net-device-container.h>
-#include <ns3/node-container.h>
-#include <ns3/point-to-point-epc-helper.h>
-#include <ns3/point-to-point-helper.h>
-#include <ns3/simulator.h>
+#include "ns3/boolean.h"
+#include "ns3/double.h"
+#include "ns3/friis-spectrum-propagation-loss.h"
+#include "ns3/integer.h"
+#include "ns3/internet-stack-helper.h"
+#include "ns3/ipv4-address-helper.h"
+#include "ns3/ipv4-interface-container.h"
+#include "ns3/ipv4-static-routing-helper.h"
+#include "ns3/log.h"
+#include "ns3/lte-enb-net-device.h"
+#include "ns3/lte-helper.h"
+#include "ns3/lte-ue-net-device.h"
+#include "ns3/lte-ue-rrc.h"
+#include "ns3/mobility-helper.h"
+#include "ns3/net-device-container.h"
+#include "ns3/node-container.h"
+#include "ns3/point-to-point-epc-helper.h"
+#include "ns3/point-to-point-helper.h"
+#include "ns3/simulator.h"
 
 using namespace ns3;
 
@@ -86,7 +86,7 @@
 } // end of LtePrimaryCellChangeTestSuite::LtePrimaryCellChangeTestSuite ()
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  * Static variable for test initialization
  */
 static LtePrimaryCellChangeTestSuite g_ltePrimaryCellChangeTestSuite;
@@ -182,10 +182,10 @@
                                 ->GetCellId();
 
     lteHelper->AddX2Interface(enbNodes);
-    lteHelper->HandoverRequest(Seconds(1.0), ueDev, sourceEnbDev, targetCellId);
+    lteHelper->HandoverRequest(Seconds(1), ueDev, sourceEnbDev, targetCellId);
 
     // Run simulation.
-    Simulator::Stop(Seconds(2.0));
+    Simulator::Stop(Seconds(2));
     Simulator::Run();
 
     uint16_t expectedCellId = targetCellId;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/test/lte-test-primary-cell-change.h ns-3.44/src/lte/test/lte-test-primary-cell-change.h
--- ns-3.43/src/lte/test/lte-test-primary-cell-change.h	2024-10-09 16:41:10.048656500 -0700
+++ ns-3.44/src/lte/test/lte-test-primary-cell-change.h	2025-03-09 16:55:49.611372000 -0700
@@ -10,18 +10,18 @@
 #ifndef LTE_TEST_PRIMARY_CELL_CHANGE_H
 #define LTE_TEST_PRIMARY_CELL_CHANGE_H
 
-#include <ns3/lte-ue-rrc.h>
-#include <ns3/node-container.h>
-#include <ns3/nstime.h>
-#include <ns3/test.h>
-#include <ns3/vector.h>
+#include "ns3/lte-ue-rrc.h"
+#include "ns3/node-container.h"
+#include "ns3/nstime.h"
+#include "ns3/test.h"
+#include "ns3/vector.h"
 
 #include <vector>
 
 using namespace ns3;
 
 /**
- * \brief Test suite for executing the primary cell change test cases.
+ * @brief Test suite for executing the primary cell change test cases.
  *
  * \sa ns3::LtePrimaryCellChangeTestCase
  */
@@ -32,22 +32,22 @@
 };
 
 /**
- * \ingroup lte
+ * @ingroup lte
  *
- * \brief Testing the handover procedure with multiple component carriers.
+ * @brief Testing the handover procedure with multiple component carriers.
  */
 class LtePrimaryCellChangeTestCase : public TestCase
 {
   public:
     /**
-     * \brief Creates an instance of the initial cell selection test case.
-     * \param name name of this test
-     * \param isIdealRrc if true, simulation uses Ideal RRC protocol, otherwise
+     * @brief Creates an instance of the initial cell selection test case.
+     * @param name name of this test
+     * @param isIdealRrc if true, simulation uses Ideal RRC protocol, otherwise
      *                   simulation uses Real RRC protocol
-     * \param rngRun the number of run to be used by the random number generator
-     * \param numberOfComponentCarriers number of component carriers
-     * \param sourceComponentCarrier source component carrier
-     * \param targetComponentCarrier target component carrier
+     * @param rngRun the number of run to be used by the random number generator
+     * @param numberOfComponentCarriers number of component carriers
+     * @param sourceComponentCarrier source component carrier
+     * @param targetComponentCarrier target component carrier
      *
      * If sourceComponentCarrier or targetComponentCarrier is greater than
      * number of component carriers, it identifies component carrier on second eNB.
@@ -63,19 +63,19 @@
 
   private:
     /**
-     * \brief Setup the simulation according to the configuration set by the
+     * @brief Setup the simulation according to the configuration set by the
      *        class constructor, run it, and verify the result.
      */
     void DoRun() override;
 
     /**
-     * \brief State transition callback function
-     * \param context the context string
-     * \param imsi the IMSI
-     * \param cellId the cell ID
-     * \param rnti the RNTI
-     * \param oldState the old state
-     * \param newState the new state
+     * @brief State transition callback function
+     * @param context the context string
+     * @param imsi the IMSI
+     * @param cellId the cell ID
+     * @param rnti the RNTI
+     * @param oldState the old state
+     * @param newState the new state
      */
     void StateTransitionCallback(std::string context,
                                  uint64_t imsi,
@@ -84,18 +84,18 @@
                                  LteUeRrc::State oldState,
                                  LteUeRrc::State newState);
     /**
-     * \brief Initial cell selection end ok callback function
-     * \param context the context string
-     * \param imsi the IMSI
-     * \param cellId the cell ID
+     * @brief Initial cell selection end ok callback function
+     * @param context the context string
+     * @param imsi the IMSI
+     * @param cellId the cell ID
      */
     void InitialPrimaryCellChangeEndOkCallback(std::string context, uint64_t imsi, uint16_t cellId);
     /**
-     * \brief Connection established callback function
-     * \param context the context string
-     * \param imsi the IMSI
-     * \param cellId the cell ID
-     * \param rnti the RNTI
+     * @brief Connection established callback function
+     * @param context the context string
+     * @param imsi the IMSI
+     * @param cellId the cell ID
+     * @param rnti the RNTI
      */
     void ConnectionEstablishedCallback(std::string context,
                                        uint64_t imsi,
